﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media.Imaging;
using Microsoft.Win32;
using Telerik.Windows.Controls.Map;

namespace PanAndZoomSingleImage
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Load_Image(object sender, RoutedEventArgs e)
		{
			OpenFileDialog fileDialog = new OpenFileDialog();
			fileDialog.Title = "Load image.";
			fileDialog.Filter = "Images (*.png,*.jpg)|*.png;*.jpg|All Files (*.*)|*.*";
			fileDialog.DefaultExt = "png";
			if (fileDialog.ShowDialog() == true)
			{
				Uri uri = new Uri(fileDialog.FileName);
				BitmapImage image = new BitmapImage(uri);

				Size geoSize = this.radMap.GetGeoSize(new Location(0, 0), new Size(image.PixelWidth, image.PixelHeight));

				UriImageProvider provider = this.radMap.Providers[1] as UriImageProvider;
				provider.Uri = uri;
				LocationRect view = new LocationRect(
					new Location(0, 0),
					new Location(-geoSize.Height, geoSize.Width));
				provider.GeoBounds = view;

				this.radMap.SetView(view);
			}
		}
	}
}
